> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Helm Registry Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/org/helm/registries/{registry_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/registries/{registry_name}:
    delete:
      tags:
        - Helm API
      summary: Delete Helm Registry Endpoint
      operationId: >-
        delete_helm_registry_endpoint_api_v1_org_helm_registries__registry_name__delete
      parameters:
        - in: path
          name: registry_name
          required: true
          schema:
            maxLength: 253
            title: Registry Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHelmChartRegistryResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DeleteHelmChartRegistryResult:
      properties:
        marked_for_deletion_at:
          format: date-time
          title: Marked For Deletion At
          type: string
      required:
        - marked_for_deletion_at
      title: DeleteHelmChartRegistryResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````